package cn.timer.api.utils;
/**
 * 招聘管理-面试流程记录模板
 *
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022-03-14 15:14:40
 */
public class ZpglMessageTemplate {

	public static final String FILTERING = "{0} 将候选人状态更改为[待初筛].";
	public static final String FILTER_PASS ="{0} 将候选人状态从[待初筛]更改为[初筛通过].";
	//,面试地址:{4}
	public static final String INTERVIEW ="{0} 为候选人安排了现场面试.面试轮次：第{1}轮,面试时间{2},面试官:{3}";
	public static final String INTERVIEWED ="{0} 将候选人状态从[已安排面试]更改为[已面试].面试轮次：第{1}轮.";
	public static final String INTERVIEW_PASS ="{0} 将候选人移动到[面试通过].";
	public static final String EMPLOY ="{0} 将候选人状态从[面试通过]更改为[拟录用].";
	public static final String OFFER ="{0} 给候选人发送了Offer.";
	public static final String ENTRYING ="{0} 将候选人状态从[待初筛]更改为[初筛淘汰], 淘汰原因:{1},备注:{2}";
	public static final String WAIT ="{0} 将候选人添加到待入职.";
	public static final String ENTRY ="{0} 为候选人办理了入职.";
	public static final String INTERVIEWED_ENTRYING ="{0} 将候选人状态从[{3}]更改为[面试淘汰], 淘汰原因:{1},备注:{2}";
	public static final String OFFER_ENTRYING ="{0} 将候选人状态从[{3}}]更改为[录用淘汰], 淘汰原因:{1},备注:{2}";

	public static String print(String template, String[] values) {
		if (null == values || values.length == 0) {
			return template;
		}

		String msg = template;
		for (int i = 0; i < values.length; i++) {
			msg = msg.replace("{" + i + "}", values[i]);
		}

		return msg;
	}
	public static void main(String[] args) {
		System.out.println(ZpglMessageTemplate.print(FILTER_PASS, new String[] {
				"wuqingjun", "types" }));
	}
}
